## org.apache.poi.ddf
Class EscherSplitMenuColorsRecord

    java.lang.Object
      org.apache.poi.ddf.EscherRecord
          org.apache.poi.ddf.EscherSplitMenuColorsRecord

    public class EscherSplitMenuColorsRecord

extends EscherRecord

A list of the most recently used colours for the drawings contained in this document.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static java.lang.String` `RECORD_DESCRIPTION`
`static short` `RECORD_ID`

Constructor Summary
`EscherSplitMenuColorsRecord()`

Method Summary
`int` `fillFields(byte[] data, int offset, EscherRecordFactory recordFactory)` The contract of this method is to deserialize an escher record including it's children.
`int` `getColor1()`
`int` `getColor2()`
`int` `getColor3()`
`int` `getColor4()`
`short` `getRecordId()` Return the current record id.
`java.lang.String` `getRecordName()` Subclasses should return the short name for this escher record.
`int` `getRecordSize()` Subclasses should effeciently return the number of bytes required to serialize the record.
`int` `serialize(int offset, byte[] data, EscherSerializationListener listener)` Serializes the record to an existing byte array.
`void` `setColor1(int field_1_color1)`
`void` `setColor2(int field_2_color2)`
`void` `setColor3(int field_3_color3)`
`void` `setColor4(int field_4_color4)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.ddf.EscherRecord
`clone, display, fillFields, getChild, getChildRecords, getInstance, getOptions, getVersion, isContainerRecord, readHeader, readInstance, serialize, serialize, setChildRecords, setInstance, setOptions, setRecordId, setVersion`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RECORD_ID

    public static final short RECORD_ID

See Also:
  Constant Field Values

### RECORD_DESCRIPTION

    public static final java.lang.String RECORD_DESCRIPTION

See Also:
  Constant Field Values

Constructor Detail

### EscherSplitMenuColorsRecord

    public EscherSplitMenuColorsRecord()

Method Detail

### fillFields

    public int fillFields(byte[] data,
                          int offset,
                          EscherRecordFactory recordFactory)

  Description copied from class: `EscherRecord`
  The contract of this method is to deserialize an escher record including it's children.

  Specified by:
    `fillFields` in class `EscherRecord`
  Parameters:
    `data` - The byte array containing the serialized escher records.
    `offset` - The offset into the byte array.
    `recordFactory` - A factory for creating new escher records.
  Returns:
    The number of bytes written.

### serialize

    public int serialize(int offset,
                         byte[] data,
                         EscherSerializationListener listener)

  Description copied from class: `EscherRecord`
  Serializes the record to an existing byte array.

  Specified by:
    `serialize` in class `EscherRecord`
  Parameters:
    `offset` - the offset within the byte array
    `data` - the data array to serialize to
    `listener` - a listener for begin and end serialization events. This is useful because the serialization is hierarchical/recursive and sometimes you need to be able break into that.
  Returns:
    the number of bytes written.

### getRecordSize

    public int getRecordSize()

  Description copied from class: `EscherRecord`
  Subclasses should effeciently return the number of bytes required to serialize the record.

  Specified by:
    `getRecordSize` in class `EscherRecord`
  Returns:
    number of bytes

### getRecordId

    public short getRecordId()

  Description copied from class: `EscherRecord`
  Return the current record id.

  Overrides:
    `getRecordId` in class `EscherRecord`
  Returns:
    The 16 bit record id.

### getRecordName

    public java.lang.String getRecordName()

  Description copied from class: `EscherRecord`
  Subclasses should return the short name for this escher record.

  Specified by:
    `getRecordName` in class `EscherRecord`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this record.

### getColor1

    public int getColor1()

### setColor1

    public void setColor1(int field_1_color1)

### getColor2

    public int getColor2()

### setColor2

    public void setColor2(int field_2_color2)

### getColor3

    public int getColor3()

### setColor3

    public void setColor3(int field_3_color3)

### getColor4

    public int getColor4()

### setColor4

    public void setColor4(int field_4_color4)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.